package com.sino.publicclass.sql;

import java.util.Date;

import com.sino.publicclass.base.CException;

public interface ConstructSQL {  
	public static String DAY_FORMAT = "'yyyy-mm-dd'";
	public static String TIME_FORMAT = "yyyy-mm-dd hh24:mi:ss";
	public static String TIME_FORMAT1 = "yyyymmddhh24miss";

	public void setTableName(String tableName);

	public void setColumn(String columnName, String StringValue);

	public void setColumnSql(String columnName, String SqlString);

	public void setColumn(String columnName, int intValue);

	public void setColumn(String columnName, double doubleValue);

	public void setColumn(String columnName, float floatValue);

	public void setColumn(String columnName, long longValue);
	
	public void setColumn(String columnName, oracle.sql.BLOB blob);

	public void setColumnDate(String columnName);

	public void setColumnDate(String columnName, String StringValue);

	public void setColumnDate(String columnName, String StringValue,
			String formot);

	public void setColumnSelect(String columnName, String StringValue);

	public void setColumnSelect(String columnName, int intValue);

	public String getSQL() throws CException;

	public void setCondition(String condition);

	public void setColumnTimestamp(String columnName, Date date);
}
